# $Header$

""" Loads data from hdf5 file passed by C++ wripping code
INPUT from C++ wrapping code
filename
OUTPUT
dataHistory
"""

import h5py
import numpy as np
import os
print(os.environ['HOME'])

if "filename" not in globals():
    filename = "/data/time_history/"+"series001.h5"

with h5py.File(filename, "r") as f:
    # List all groups
    print("Keys: %s" % f.keys())
    a_group_key = list(f.keys())[0]

    # Get the data
    dataHistory = np.asarray(f[a_group_key])
